get_extraction_schema_version
curl --request GET \
--url https://ndi-api.nace.ai/v1/extraction-schemas/{schema_id}/versions/{version} \
--header 'X-API-Key: <api-key>'{
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"owner": "platform",
"schema": {},
"schema_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 2,
"description": "<string>"
}{
"error": {
"code": "invalid_request",
"detail": null,
"message": "Request body has extra fields that this operation does not accept.",
"request_id": "req-01j9k2n3p4q5r6s7t8v9",
"retryable": false
}
}{
"error": {
"code": "invalid_request",
"detail": null,
"message": "Request body has extra fields that this operation does not accept.",
"request_id": "req-01j9k2n3p4q5r6s7t8v9",
"retryable": false
}
}get_extraction_schema_version
Return one immutable version of a visible schema family.
GET
/
v1
/
extraction-schemas
/
{schema_id}
/
versions
/
{version}
get_extraction_schema_version
curl --request GET \
--url https://ndi-api.nace.ai/v1/extraction-schemas/{schema_id}/versions/{version} \
--header 'X-API-Key: <api-key>'{
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"owner": "platform",
"schema": {},
"schema_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 2,
"description": "<string>"
}{
"error": {
"code": "invalid_request",
"detail": null,
"message": "Request body has extra fields that this operation does not accept.",
"request_id": "req-01j9k2n3p4q5r6s7t8v9",
"retryable": false
}
}{
"error": {
"code": "invalid_request",
"detail": null,
"message": "Request body has extra fields that this operation does not accept.",
"request_id": "req-01j9k2n3p4q5r6s7t8v9",
"retryable": false
}
}Authorizations
Path Parameters
Stable schema family id (sch_...).
Immutable integer version within the family.
Required range:
x >= 1Response
Successful Response
One immutable schema version, including the frozen JSON Schema body.
Required string length:
1 - 128Available options:
platform, tenant Show child attributes
Show child attributes
Required range:
x >= 1Required string length:
1 - 2000